export declare const Field: import("styled-components").StyledComponent<"div", any, {
    isStyled?: boolean | undefined;
}, never>;
export declare const LabelWrapper: import("styled-components").StyledComponent<"div", any, {
    isStyled?: boolean | undefined;
}, never>;
export declare const Label: import("styled-components").StyledComponent<"label", any, {
    isStyled?: boolean | undefined;
}, never>;
export declare const PrefixTab: import("styled-components").StyledComponent<"span", any, Omit<Omit<import("react").DetailedHTMLProps<import("react").InputHTMLAttributes<HTMLInputElement>, HTMLInputElement>, "ref">, "onChange"> & import("../..").GenericProps & {
    error?: boolean | undefined;
    inputIcon?: import("react").ReactNode;
    inputPrefix?: import("react").ReactNode;
    inputSuffix?: import("react").ReactNode;
    onChange?(this: void, event: import("react").ChangeEvent<HTMLInputElement> | import("react").BaseSyntheticEvent<object, any, any> | import("./types").IInputNumberOnChangeArgs): void;
    prefixTabTitle?: import("react").ReactNode;
} & {
    disabled?: boolean | undefined;
    error?: boolean | undefined;
    iconPresent?: boolean | undefined;
    prefixTabPresent?: boolean | undefined;
    type?: "number" | "button" | "search" | undefined;
}, never>;
export declare const InputPrefix: import("styled-components").StyledComponent<"span", any, Omit<Omit<import("react").DetailedHTMLProps<import("react").InputHTMLAttributes<HTMLInputElement>, HTMLInputElement>, "ref">, "onChange"> & import("../..").GenericProps & {
    error?: boolean | undefined;
    inputIcon?: import("react").ReactNode;
    inputPrefix?: import("react").ReactNode;
    inputSuffix?: import("react").ReactNode;
    onChange?(this: void, event: import("react").ChangeEvent<HTMLInputElement> | import("react").BaseSyntheticEvent<object, any, any> | import("./types").IInputNumberOnChangeArgs): void;
    prefixTabTitle?: import("react").ReactNode;
} & {
    disabled?: boolean | undefined;
    error?: boolean | undefined;
    iconPresent?: boolean | undefined;
    prefixTabPresent?: boolean | undefined;
    type?: "number" | "button" | "search" | undefined;
}, never>;
export declare const InputIcon: import("styled-components").StyledComponent<"span", any, Omit<Omit<import("react").DetailedHTMLProps<import("react").InputHTMLAttributes<HTMLInputElement>, HTMLInputElement>, "ref">, "onChange"> & import("../..").GenericProps & {
    error?: boolean | undefined;
    inputIcon?: import("react").ReactNode;
    inputPrefix?: import("react").ReactNode;
    inputSuffix?: import("react").ReactNode;
    onChange?(this: void, event: import("react").ChangeEvent<HTMLInputElement> | import("react").BaseSyntheticEvent<object, any, any> | import("./types").IInputNumberOnChangeArgs): void;
    prefixTabTitle?: import("react").ReactNode;
} & {
    disabled?: boolean | undefined;
    error?: boolean | undefined;
    iconPresent?: boolean | undefined;
    prefixTabPresent?: boolean | undefined;
    type?: "number" | "button" | "search" | undefined;
}, never>;
export declare const NumberButtonsWrapper: import("styled-components").StyledComponent<"span", any, Omit<Omit<import("react").DetailedHTMLProps<import("react").InputHTMLAttributes<HTMLInputElement>, HTMLInputElement>, "ref">, "onChange"> & import("../..").GenericProps & {
    error?: boolean | undefined;
    inputIcon?: import("react").ReactNode;
    inputPrefix?: import("react").ReactNode;
    inputSuffix?: import("react").ReactNode;
    onChange?(this: void, event: import("react").ChangeEvent<HTMLInputElement> | import("react").BaseSyntheticEvent<object, any, any> | import("./types").IInputNumberOnChangeArgs): void;
    prefixTabTitle?: import("react").ReactNode;
} & {
    disabled?: boolean | undefined;
    error?: boolean | undefined;
    iconPresent?: boolean | undefined;
    prefixTabPresent?: boolean | undefined;
    type?: "number" | "button" | "search" | undefined;
}, never>;
export declare const NumberButtonWrapper: import("styled-components").StyledComponent<"button", any, Omit<Omit<import("react").DetailedHTMLProps<import("react").InputHTMLAttributes<HTMLInputElement>, HTMLInputElement>, "ref">, "onChange"> & import("../..").GenericProps & {
    error?: boolean | undefined;
    inputIcon?: import("react").ReactNode;
    inputPrefix?: import("react").ReactNode;
    inputSuffix?: import("react").ReactNode;
    onChange?(this: void, event: import("react").ChangeEvent<HTMLInputElement> | import("react").BaseSyntheticEvent<object, any, any> | import("./types").IInputNumberOnChangeArgs): void;
    prefixTabTitle?: import("react").ReactNode;
} & {
    disabled?: boolean | undefined;
    error?: boolean | undefined;
    iconPresent?: boolean | undefined;
    prefixTabPresent?: boolean | undefined;
    type?: "number" | "button" | "search" | undefined;
}, never>;
/**
 * INPUT STYLING
 */
export declare const StyledInput: import("styled-components").StyledComponent<"input", any, Omit<Omit<import("react").DetailedHTMLProps<import("react").InputHTMLAttributes<HTMLInputElement>, HTMLInputElement>, "ref">, "onChange"> & import("../..").GenericProps & {
    error?: boolean | undefined;
    inputIcon?: import("react").ReactNode;
    inputPrefix?: import("react").ReactNode;
    inputSuffix?: import("react").ReactNode;
    onChange?(this: void, event: import("react").ChangeEvent<HTMLInputElement> | import("react").BaseSyntheticEvent<object, any, any> | import("./types").IInputNumberOnChangeArgs): void;
    prefixTabTitle?: import("react").ReactNode;
}, never>;
export declare const InputSuffix: import("styled-components").StyledComponent<"span", any, Omit<Omit<import("react").DetailedHTMLProps<import("react").InputHTMLAttributes<HTMLInputElement>, HTMLInputElement>, "ref">, "onChange"> & import("../..").GenericProps & {
    error?: boolean | undefined;
    inputIcon?: import("react").ReactNode;
    inputPrefix?: import("react").ReactNode;
    inputSuffix?: import("react").ReactNode;
    onChange?(this: void, event: import("react").ChangeEvent<HTMLInputElement> | import("react").BaseSyntheticEvent<object, any, any> | import("./types").IInputNumberOnChangeArgs): void;
    prefixTabTitle?: import("react").ReactNode;
} & {
    disabled?: boolean | undefined;
    error?: boolean | undefined;
    iconPresent?: boolean | undefined;
    prefixTabPresent?: boolean | undefined;
    type?: "number" | "button" | "search" | undefined;
}, never>;
export declare const InputElementWrapper: import("styled-components").StyledComponent<"div", any, {
    error?: boolean | undefined;
    isStyled?: boolean | undefined;
}, never>;
export declare const HelperText: import("styled-components").StyledComponent<"div", any, {
    isStyled?: boolean | undefined;
}, never>;
/**
 * INPUT TEXT AREA STYLING
 */
export declare const StyledTextArea: import("styled-components").StyledComponent<"textarea", any, Omit<import("react").DetailedHTMLProps<import("react").TextareaHTMLAttributes<HTMLTextAreaElement>, HTMLTextAreaElement>, "ref"> & import("../..").GenericProps & {
    error?: boolean | undefined;
    maxLength?: number | undefined;
}, never>;
export declare const StyledTextAreaLimitText: import("styled-components").StyledComponent<"div", any, {
    isStyled?: boolean | undefined;
}, never>;
